[arch-commits] CVS update of unstable/modules/tiacx-ck (3 files)
Tom Killian
tom at archlinux.org
Thu Aug 23 07:44:08 UTC 2007
Date: Thursday, August 23, 2007 @ 03:44:08
Author: tom
Path: /home/cvs-unstable/unstable/modules/tiacx-ck
Added: kernel-2.6.22.patch (1.1)
Modified: PKGBUILD (1.6 -> 1.7) acx.install (1.4 -> 1.5)
upgpkg: tiacx-ck 20070101-3
---------------------+
PKGBUILD | 10 ++++------
acx.install | 6 +++---
kernel-2.6.22.patch | 31 +++++++++++++++++++++++++++++++
3 files changed, 38 insertions(+), 9 deletions(-)
Index: unstable/modules/tiacx-ck/PKGBUILD
diff -u unstable/modules/tiacx-ck/PKGBUILD:1.6 unstable/modules/tiacx-ck/PKGBUILD:1.7
--- unstable/modules/tiacx-ck/PKGBUILD:1.6 Mon Aug 20 22:35:30 2007
+++ unstable/modules/tiacx-ck/PKGBUILD Thu Aug 23 03:44:08 2007
@@ -1,22 +1,20 @@
# Maintainer: James Rayner <iphitus at gmail.com>
-_kernver=2.6.21-ck;
+_kernver=2.6.22-ck;
pkgname=tiacx-ck
pkgver=20070101
-pkgrel=2
+pkgrel=3
pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For kernel26ck."
arch=(i686 x86_64)
url="http://acx100.sourceforge.net/"
-license=('MPL')
depends=('wireless_tools' 'kernel26ck' 'tiacx-firmware')
install=acx.install
-source=(http://www.cmartin.tk/acx/acx-$pkgver.tar.bz2)
-md5sums=('ec6322b9c82781897a9433ef0cefda6f')
+source=(http://www.cmartin.tk/acx/acx-$pkgver.tar.bz2 kernel-2.6.22.patch)
build() {
cd $startdir/src/acx-$pkgver
+ patch -Np1 -i ../kernel-2.6.22.patch || return 1
make -C /lib/modules/$_kernver/build M=`pwd`
install -D acx.ko $startdir/pkg/lib/modules/$_kernver/extra/acx.ko
sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
}
-
Index: unstable/modules/tiacx-ck/acx.install
diff -u unstable/modules/tiacx-ck/acx.install:1.4 unstable/modules/tiacx-ck/acx.install:1.5
--- unstable/modules/tiacx-ck/acx.install:1.4 Thu May 31 05:39:34 2007
+++ unstable/modules/tiacx-ck/acx.install Thu Aug 23 03:44:08 2007
@@ -1,20 +1,20 @@
# arg 1: the new package version
post_install() {
- KERNEL_VERSION='2.6.21-ck'
+ KERNEL_VERSION='2.6.22-ck'
depmod -v $KERNEL_VERSION > /dev/null 2>&1
}
# arg 1: the new package version
# arg 2: the old package version
post_upgrade() {
- KERNEL_VERSION='2.6.21-ck'
+ KERNEL_VERSION='2.6.22-ck'
depmod -v $KERNEL_VERSION > /dev/null 2>&1
}
# arg 1: the old package version
post_remove() {
- KERNEL_VERSION='2.6.21-ck'
+ KERNEL_VERSION='2.6.22-ck'
depmod -v $KERNEL_VERSION > /dev/null 2>&1
}
Index: unstable/modules/tiacx-ck/kernel-2.6.22.patch
diff -u /dev/null unstable/modules/tiacx-ck/kernel-2.6.22.patch:1.1
--- /dev/null Thu Aug 23 03:44:08 2007
+++ unstable/modules/tiacx-ck/kernel-2.6.22.patch Thu Aug 23 03:44:08 2007
@@ -0,0 +1,31 @@
+diff -uNr acx-20070101/common.c acx-20070101-patched/common.c
+--- acx-20070101/common.c 2007-01-10 21:15:27.000000000 +0000
++++ acx-20070101-patched/common.c 2007-08-22 22:55:52.000000000 +0100
+@@ -2753,8 +2753,11 @@
+
+ skb->dev = adev->ndev;
+ skb->dev->last_rx = jiffies;
+-
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,22)
++ skb_reset_mac_header(skb);
++#else
+ skb->mac.raw = skb->data;
++#endif
+ skb->ip_summed = CHECKSUM_NONE;
+ skb->pkt_type = PACKET_OTHERHOST;
+ skb->protocol = htons(ETH_P_80211_RAW);
+diff -uNr acx-20070101/pci.c acx-20070101-patched/pci.c
+--- acx-20070101/pci.c 2007-01-10 12:27:16.000000000 +0000
++++ acx-20070101-patched/pci.c 2007-08-22 22:55:52.000000000 +0100
+@@ -2104,7 +2104,11 @@
+ /* TODO: pci_set_power_state(pdev, PCI_D0); ? */
+
+ /* request shared IRQ handler */
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,21)
++ if (request_irq(ndev->irq, acxpci_i_interrupt, IRQF_SHARED, ndev->name, ndev)) {
++#else
+ if (request_irq(ndev->irq, acxpci_i_interrupt, SA_SHIRQ, ndev->name, ndev)) {
++#endif
+ printk("%s: request_irq FAILED\n", ndev->name);
+ result = -EAGAIN;
+ goto done;
More information about the arch-commits
mailing list